Z3 |

Properties
Optimize.Handle Class Reference

Handle to objectives returned by objective functions. More...

## Properties
Expr | Lower`[get]`
| Retrieve a lower bound for the objective handle. More...
Expr | Upper`[get]`
| Retrieve an upper bound for the objective handle. More...
Expr | Value`[get]`
| Retrieve the value of an objective. More...
Expr[] | LowerAsVector`[get]`
| Retrieve a lower bound for the objective handle. More...
Expr[] | UpperAsVector`[get]`
| Retrieve an upper bound for the objective handle. More...

## Detailed Description

Handle to objectives returned by objective functions.

Definition at line 154 of file Optimize.cs.

## Property Documentation

## ◆ Lower

Expr Lower
| get

Retrieve a lower bound for the objective handle.

Definition at line 167 of file Optimize.cs.

168 {
169 get { return opt.GetLower(handle); }
170 }

## ◆ LowerAsVector

Expr [] LowerAsVector
| get

Retrieve a lower bound for the objective handle.

Definition at line 191 of file Optimize.cs.

192 {
193 get { return opt.GetLowerAsVector(handle); }
194 }

## ◆ Upper

Expr Upper
| get

Retrieve an upper bound for the objective handle.

Definition at line 175 of file Optimize.cs.

176 {
177 get { return opt.GetUpper(handle); }
178 }

## ◆ UpperAsVector

Expr [] UpperAsVector
| get

Retrieve an upper bound for the objective handle.

Definition at line 199 of file Optimize.cs.

200 {
201 get { return opt.GetUpperAsVector(handle); }
202 }

## ◆ Value

Expr Value
| get

Retrieve the value of an objective.

Definition at line 183 of file Optimize.cs.

184 {
185 get { return Lower; }
186 }
Microsoft.Z3.Optimize.Handle.Lower
Expr Lower
Retrieve a lower bound for the objective handle.
Definition: Optimize.cs:168